50 Games Like Bad North

Updated:

Nova-111, Machines at War 3, and Army Men are our top selection to play today.

The latest addition in this selection are SpellForce 3: Versus Edition released the 3 November 2020 and ranked #34, Sphere Invasion released the 29 October 2020 and ranked #31, The Battle of Rip Creek released the 28 October 2020 and ranked #50.

50 Games like Bad North daily generated comparing over 40 000 video games across all platforms.
This suggestion collection includes rogue-like tactical real-time strategy simulation games for Android, IOS (iPhone / iPad), Win Mobile, PS4 (Playstation 4), Xbox One, Switch, PC Windows, Mac OS and Linux. The order in this selection is not absolute, but the best games tends to be up in the list.

Logo of the video game Bad North

Bad North is a charming but brutal real-time tactics roguelite. Defend your idyllic island kingdom against a horde of Viking invaders, as you lead the desperate exodus of your people. Command your loyal subjects to take full tactical advantage of the unique shape of each island.

1# Nova-111 - 5200

Review71Score

Tactical Rogue-like Combat. Turn-Based and Real-Time strategy sci-fi adventure. Nova-111 embarks on a journey to recover the 111 scientists scattered through it's alien worlds. Explore, battle and solve clever puzzles in the name of SCIENCE.

Nova-111 similarities with Bad North:

2# Machines at War 3 - 3600

Review75Score

Real time strategy game featuring over 130 different types of units and technologies, 21 campaign missions with characters and an intriguing story, unlimited random map skirmishes with many customizable settings, network multiplayer to challenge your friends, and so much more in this RTS!

Machines at War 3 similarities with Bad North:

4# Majesty: The Fantasy Kingdom Sim - 5200

Review75Score

You will have to fight various enemies and monsters, explore new territories, manage economic and scientific developments and solve a heap of unusual and unexpected tasks. There are a lot of heroes in your lands: valiant warriors and warlike barbarians, powerful wizards and grim necromancers, industrious dwarves and skilful elves plus many more. "Majesty: The Fantasy Kingdom Sim" contains elements of role play: while fulfilling your orders, the heroes improve their skills and talents, as well as earn cash to be spent on new equipment, weapons, and magical elixirs.

Majesty: The Fantasy Kingdom Sim similarities with Bad North:

5# Praetorians - HD Remaster - 2020

Review80Score

Traceback (most recent call last): File "/usr/local/lib/python3.7/dist-packages/sumy/nlp/tokenizers.py", line 81, in _get_sentence_tokenizer return nltk.data.load(path) File "/usr/local/lib/python3.7/dist-packages/nltk/data.py", line 752, in load opened_resource = _open(resource_url) File "/usr/local/lib/python3.7/dist-packages/nltk/data.py", line 877, in _open return find(path_, path + [""]).open() File "/usr/local/lib/python3.7/dist-packages/nltk/data.py", line 585, in find raise LookupError(resource_not_found) LookupError: ********************************************************************** Resource punkt not found. Please use the NLTK Downloader to obtain the resource: >>> import nltk >>> nltk.download('punkt')  For more information see: https://www.nltk.org/data.html Attempted to load tokenizers/punkt/PY3/english.pickle Searched in: - '/root/nltk_data' - '/usr/nltk_data' - '/usr/share/nltk_data' - '/usr/lib/nltk_data' - '/usr/share/nltk_data' - '/usr/local/share/nltk_data' - '/usr/lib/nltk_data' - '/usr/local/lib/nltk_data' - '' ********************************************************************** During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/local/bin/sumy-3.7", line 10, in sys.exit(main()) File "/usr/local/lib/python3.7/dist-packages/sumy/__main__.py", line 68, in main summarizer, parser, items_count = handle_arguments(args) File "/usr/local/lib/python3.7/dist-packages/sumy/__main__.py", line 109, in handle_arguments parser = parser(document_content, Tokenizer(language)) File "/usr/local/lib/python3.7/dist-packages/sumy/nlp/tokenizers.py", line 69, in __init__ self._sentence_tokenizer = self._get_sentence_tokenizer(tokenizer_language) File "/usr/local/lib/python3.7/dist-packages/sumy/nlp/tokenizers.py", line 84, in _get_sentence_tokenizer "NLTK tokenizers are missing. Download them by following command: " LookupError: NLTK tokenizers are missing. Download them by following command: python -c "import nltk; nltk.download('punkt')"

Praetorians - HD Remaster similarities with Bad North:

6# Battlestar Galactica Deadlock - 2017

Review83Score

In Battlestar Galactica Deadlock™ you’ll take command of the Colonial Fleet in defense of the Twelve Colonies during the First Cylon War. Lead many different types of ships in this 3D tactical game. Every decision counts, your strategy will be vital – can you ensure mankind’s survival?

Battlestar Galactica Deadlock similarities with Bad North:

7# Company of Heroes 2: The British Forces - 2015

Review81Score

This latest multiplayer standalone entry in the COH2 series features this iconic Allied army. Experience a unique tech-tree that challenges the player to balance the constant trade-off between mobility and defense. Surprise opponents with your development choices and an open end game configuration.

Company of Heroes 2: The British Forces similarities with Bad North:

8# Crying Suns - 2019

Review85Score

Crying Suns is a tactical rogue-lite that puts you in the role of a space fleet commander as you explore a mysteriously fallen empire. In this story rich experience inspired by Dune and Foundation, each successful run will uncover the truth about the Empire... and yourself as well.

Crying Suns similarities with Bad North:

11# ENYO - 2016

Review79Score

Grab your hook & shield and descent as Enyo, the greek goddess of war, into an ever changing labyrinth to recover 3 legendary artifacts. While staying accessible through the limited amount of actions a player can take, the core of ENYO are highly tactical turn based battles. To enter the highscore leaderboards for each of the 3 game modes you are tasked to master your weapons and create powerful chain combos through clever maneuvers.

ENYO similarities with Bad North:

13# Surabaya Inferno - 2020

ReviewNDScore
Screenshot of the video game Surabaya Inferno
Screenshot of the video game Surabaya Inferno
Screenshot of the video game Surabaya Inferno

Freedom or Death! Surabaya Inferno is a real-time tactics game based on the battle of Surabaya which occured at November 10th, 1945. Play as Surabayans fighting against the forces of Britain, Netherlands, and Japan in order to defend their independence in Indonesia!

Surabaya Inferno similarities with Bad North:

15# Ancestors Legacy - 2018

Review77Score

The game combines resource management and base building with large-scale, squad-based battles across vast battlefields, all rendered in great detail thanks to the Unreal Engine 4 tech. Choosing one of the four available nations Viking, Anglo-Saxon, German, Slav you will be tasked with more than just conquering, raiding and pillaging enemy camps, villages and towns. Only by utilizing the full range of available tactical options, taking strategic advantage of the environment, and managing your temporary bases and settlements, will you emerge victorious.

Ancestors Legacy similarities with Bad North:

16# Rome: Total War - Barbarian Invasion - 2017

Review82Score

Barbarian Invasion is a standalone follow-up to Creative Assemblys classic strategy game ROME: Total War, a smash hit on the iPad. Three centuries after the campaigns of ROME: Total War, an overstretched Roman Empire faces a day of reckoning with the warlike tribes that menace its frontiers. Play out the final years of the Empire as a Barbarian commander determined to bring it down, or take up arms as a Roman General and fight to extend your glorious civilization into a new age.

Rome: Total War - Barbarian Invasion similarities with Bad North:

18# Partisans 1941 - 2020

Review76Score

Partisans 1941 is a real-time tactics game with stealth elements, set on the eastern front of WW II. As an army commander behind enemy lines you gather a group of Partisans to wage guerilla warfare against the German occupants.

Partisans 1941 similarities with Bad North:

19# Gordian Quest - 2020

Review82Score

Early Access

An epic RPG inspired by old-school classics like Ultima and Wizardry, using modern gaming concepts like deckbuilding and turn-based strategic combat. Lead and nurture parties of heroes. Forge bonds and discover new skills among them. Journey forth and unravel the ancient curses set upon your land.

Gordian Quest similarities with Bad North:

20# Pacific Storm - 2014

Review74Score

On December 7, 1941, a major part of the U.S. Pacific navy stationed at Pearl Harbor was assaulted by Japanese planes. Japanese fighters were destroying American aircraft on land and in the air, without giving them a chance for a counterattack. The furious battle of Pearl Harbor became the first in the sequence of gory sea combats.

Pacific Storm similarities with Bad North:

21# Interloper - 2015

Review83Score

Interloper is an online multiplayer real-time strategy game with matches that take only 5 minutes. Instead of destroying your opponent, you win by claiming domain. By predicting your opponent's movements, you corner them to claim the entire map.

Interloper similarities with Bad North:

23# WARSAW - 2019

Review70Score

Traceback (most recent call last): File "/usr/local/lib/python3.7/dist-packages/sumy/nlp/tokenizers.py", line 81, in _get_sentence_tokenizer return nltk.data.load(path) File "/usr/local/lib/python3.7/dist-packages/nltk/data.py", line 752, in load opened_resource = _open(resource_url) File "/usr/local/lib/python3.7/dist-packages/nltk/data.py", line 877, in _open return find(path_, path + [""]).open() File "/usr/local/lib/python3.7/dist-packages/nltk/data.py", line 585, in find raise LookupError(resource_not_found) LookupError: ********************************************************************** Resource punkt not found. Please use the NLTK Downloader to obtain the resource: >>> import nltk >>> nltk.download('punkt')  For more information see: https://www.nltk.org/data.html Attempted to load tokenizers/punkt/PY3/english.pickle Searched in: - '/root/nltk_data' - '/usr/nltk_data' - '/usr/share/nltk_data' - '/usr/lib/nltk_data' - '/usr/share/nltk_data' - '/usr/local/share/nltk_data' - '/usr/lib/nltk_data' - '/usr/local/lib/nltk_data' - '' ********************************************************************** During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/local/bin/sumy-3.7", line 10, in sys.exit(main()) File "/usr/local/lib/python3.7/dist-packages/sumy/__main__.py", line 68, in main summarizer, parser, items_count = handle_arguments(args) File "/usr/local/lib/python3.7/dist-packages/sumy/__main__.py", line 109, in handle_arguments parser = parser(document_content, Tokenizer(language)) File "/usr/local/lib/python3.7/dist-packages/sumy/nlp/tokenizers.py", line 69, in __init__ self._sentence_tokenizer = self._get_sentence_tokenizer(tokenizer_language) File "/usr/local/lib/python3.7/dist-packages/sumy/nlp/tokenizers.py", line 84, in _get_sentence_tokenizer "NLTK tokenizers are missing. Download them by following command: " LookupError: NLTK tokenizers are missing. Download them by following command: python -c "import nltk; nltk.download('punkt')"

WARSAW similarities with Bad North:

25# Desperados III - 2020

Review87Score

Desperados III is a story-driven, hardcore tactical stealth game, set in a ruthless Wild West scenario. Play smart if you want to succeed. A good plan can make the difference between survival and finding yourself at the business end of a pistol.

Desperados III similarities with Bad North:

12 sept 2018 - New comment system! Drop us a line